Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthenticationManager.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthenticationManager.cs	(revision 7801)
+++ 	(revision )
@@ -1,30 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Services.Hive {
-  public interface IAuthenticationManager {
-    bool IsInRole(string role);
-    bool IsInAnyRole(params string[] roles);
-    bool IsInAllRoles(params string[] roles);
-    void AuthenticateForAnyRole(params string[] roles);
-    void AuthenticateForAllRoles(params string[] roles);
-  }
-}
Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 7801)
+++ branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 8085)
@@ -33,4 +33,6 @@
 
     void AuthorizeForJob(Guid jobId, Permission requiredPermission);
+
+    void AuthorizeForResourceAdministration(Guid resourceId);
   }
 }
Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 7801)
+++ branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 8085)
@@ -117,4 +117,12 @@
     #endregion
 
+    #region ResourcePermission Methods
+    DT.ResourcePermission GetResourcePermission(Guid resourceId, Guid grantedUserId);
+    IEnumerable<DT.ResourcePermission> GetResourcePermissions(Expression<Func<ResourcePermission, bool>> predicate);
+    void AddResourcePermission(DT.ResourcePermission dto);
+    void UpdateResourcePermission(DT.ResourcePermission dto);
+    void DeleteResourcePermission(Guid resourceId, Guid grantedUserId);
+    #endregion
+
     #region Authorization Methods
     Permission GetPermissionForTask(Guid taskId, Guid userId);
Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 7801)
+++ branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 8085)
@@ -24,10 +24,10 @@
 namespace HeuristicLab.Services.Hive {
   public interface IServiceLocator {
-    IAuthenticationManager AuthenticationManager { get; }
+    Access.IRoleVerifier RoleVerifier { get; }
     IAuthorizationManager AuthorizationManager { get; }
     IHiveDao HiveDao { get; }
     IEventManager EventManager { get; }
     ITransactionManager TransactionManager { get; }
-    IUserManager UserManager { get; }
+    Access.IUserManager UserManager { get; }
     HeartbeatManager HeartbeatManager { get; }
   }
Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IUserManager.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Interfaces/IUserManager.cs	(revision 7801)
+++ 	(revision )
@@ -1,32 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Web.Security;
-
-namespace HeuristicLab.Services.Hive {
-  public interface IUserManager {
-    MembershipUser CurrentUser { get; }
-    Guid CurrentUserId { get; }
-    MembershipUser GetUserByName(string username);
-    MembershipUser GetUserById(Guid userId);
-  }
-}
